Create a new support issue
curl --request POST \
--url https://api.kadoa.com/v4/support/issues \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"title": "<string>",
"description": "<string>",
"files": [
{
"name": "<string>",
"url": "<string>",
"type": "<string>",
"size": 123
}
],
"workflowId": "<string>",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataChangeId": "<string>"
}
'import requests
url = "https://api.kadoa.com/v4/support/issues"
payload = {
"title": "<string>",
"description": "<string>",
"files": [
{
"name": "<string>",
"url": "<string>",
"type": "<string>",
"size": 123
}
],
"workflowId": "<string>",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataChangeId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
files: [{name: '<string>', url: '<string>', type: '<string>', size: 123}],
workflowId: '<string>',
templateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dataChangeId: '<string>'
})
};
fetch('https://api.kadoa.com/v4/support/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"issueId": "<string>",
"supportRequestId": "<string>",
"jobId": "<string>",
"status": "accepted"
}{
"error": "<string>",
"supportRequestId": "<string>",
"issueId": "<string>"
}Support
Create support issue
Create a new support ticket linked to a workflow or data change
POST
/
v4
/
support
/
issues
Create a new support issue
Authorizations
API key for authentication
Body
application/json
Issue title
Available options:
bug, feature, workflow_issue, template_issue, integration, billing, data_diff Available options:
0, 1, 2, 3, 4 File attachments to include with the issue. Each file must already be hosted at a publicly accessible URL.
Show child attributes
Show child attributes
Optional workflow ID to link the issue
Optional template ID to link the issue. Only relevant when category is template_issue.
ID of a data change from the Data Changes API (GET /v4/changes). Links the support issue to a specific data diff so the team can review the exact change being reported. Only relevant when category is data_diff.
Optional subcategory for workflow or integration issues
Available options:
wrong_data, missing_fields, wrong_website, scraper_broken, other, integration_slack, integration_snowflake, integration_cloud_storage, integration_sdk, integration_other ⌘I